
Website Monitoring - Bug #2504

Bug # 2500 (Closed): Doesn't work on Splunk 8.0

Fix modular input

11/11/2019 02:46 AM - Luke Murphey

Status: Closed Start date: 11/10/2019

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.8   

Description

History

#1 - 11/11/2019 06:17 AM - Luke Murphey

Questions: *

Observations:

I updated to the new modular input library

There is no output

Inputs can be created properly. Inputs can be edited too

The file can run manually without error

There are no related logs.

The modular input logs indicate an exception:

2019-11-10 22:01:48,539 ERROR Execution failed

Traceback (most recent call last):

  File "/Users/lmurphey/Splunk/800/etc/apps/website_monitoring/bin/modular_input.zip/modular_input/modular

_input_base_class.py", line 1092, in execute

    self.do_run(in_stream, log_exception_and_continue=True)

  File "/Users/lmurphey/Splunk/800/etc/apps/website_monitoring/bin/modular_input.zip/modular_input/modular

_input_base_class.py", line 961, in do_run

    if ServerInfo.is_shc_captain(input_config.session_key) == False:

  File "/Users/lmurphey/Splunk/800/etc/apps/website_monitoring/bin/modular_input.zip/modular_input/shortcu

ts.py", line 31, in wrapper

    return function(*args, **kwargs)

  File "/Users/lmurphey/Splunk/800/etc/apps/website_monitoring/bin/modular_input.zip/modular_input/server_

info.py", line 155, in is_shc_captain

    if not cls.is_on_shc(session_key):

  File "/Users/lmurphey/Splunk/800/etc/apps/website_monitoring/bin/modular_input.zip/modular_input/shortcu

ts.py", line 31, in wrapper

    return function(*args, **kwargs)

  File "/Users/lmurphey/Splunk/800/etc/apps/website_monitoring/bin/modular_input.zip/modular_input/server_

info.py", line 105, in is_on_shc

    response, _ = splunk.rest.simpleRequest('/services/shcluster/status?output_mode=json', sessionKey=sess

ion_key)

AttributeError: 'module' object has no attribute 'rest'

I can reproduce this with:

import os

import sys

path_to_mod_input_lib = os.path.join('/Users/lmurphey/git/splunk-website-monitoring/src/bin/', 'modular_in

put.zip')

sys.path.insert(0, path_to_mod_input_lib)

from modular_input import Field, ModularInput, URLField, DurationField, IntegerField, BooleanField, RangeF

ield

import splunk
splunk.rest

This occurs for import of splunk that don't import the sub-imports specifically.

#2 - 11/11/2019 06:31 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
